<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.mini.capi.biz.mapper.ApiParamMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.mini.capi.biz.domain.ApiParam">
        <id column="api_param_id" property="apiParamId" />
        <result column="api_id" property="apiId" />
        <result column="param_type" property="paramType" />
        <result column="cname" property="cname" />
        <result column="data_type" property="dataType" />
        <result column="is_required" property="isRequired" />
        <result column="default_value" property="defaultValue" />
        <result column="description" property="description" />
        <result column="enum_values" property="enumValues" />
        <result column="example" property="example" />
        <result column="sort_order" property="sortOrder" />
        <result column="update_time" property="updateTime" />
        <result column="f_tenant_id" property="fTenantId" />
    </resultMap>

    <!-- 通用查询结果列 -->
    <sql id="Base_Column_List">
        api_param_id, api_id, param_type, cname, data_type, is_required, default_value, description, enum_values, example, sort_order, update_time, f_tenant_id
    </sql>

</mapper>
